Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.services.assets
Class SRSCompressedCachingInterceptor

    java.lang.Object
      org.apache.tapestry5.internal.services.assets.SRSCachingInterceptor
          org.apache.tapestry5.internal.services.assets.SRSCompressedCachingInterceptor

All Implemented Interfaces:
  StreamableResourceSource, InvalidationListener

    public class SRSCompressedCachingInterceptor

extends SRSCachingInterceptor

Specialization of `SRSCachingInterceptor` that only attempts to cache compressed resources.

Constructor Summary
`SRSCompressedCachingInterceptor(StreamableResourceSource delegate)`

Method Summary
`protected boolean` | `enableCache(StreamableResourceProcessing processing)` Returns true just when the processing enables compression.
`protected boolean` | `isCacheable(StreamableResource resource)` Return true only if the resource is compressed.

Methods inherited from class org.apache.tapestry5.internal.services.assets.SRSCachingInterceptor
`getStreamableResource, objectWasInvalidated`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SRSCompressedCachingInterceptor

    public SRSCompressedCachingInterceptor(StreamableResourceSource delegate)

Method Detail

### isCacheable

    protected boolean isCacheable(StreamableResource resource)

  Return true only if the resource is compressed.

  Overrides:
    `isCacheable` in class `SRSCachingInterceptor`
  Returns:
    true to cache the resource

### enableCache

    protected boolean enableCache(StreamableResourceProcessing processing)

  Returns true just when the processing enables compression.

  Overrides:
    `enableCache` in class `SRSCachingInterceptor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.